%% 
%% aadebug.cls
%%
%% Michiel Ronsse <ronsse@elis.UGent.be>
%%
%% Loosely based on speauth.cls
%%
\def\update{2003/05/28 v0.1}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{aadebug}[\update\ AADEBUG]
%%
\LoadClass[a4paper,10pt,twoside,pdftex]{article}
\RequirePackage[latin1]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{palatino}
\RequirePackage[dvips]{graphicx}
\RequirePackage[usenames,dvipsnames]{color}
\RequirePackage[pdftex]{hyperref}
\ProcessOptions\relax
%%

\frenchspacing
\flushbottom
\textwidth 155mm
\textheight 220mm
\topmargin 5mm
\evensidemargin -2mm
\oddsidemargin 7mm
\marginparwidth 25mm

\newcounter{thecorr}

\newif\if@corrproc
\global\@corrprocfalse
\def\corr#1#2{
\@corrproctrue
\setcounter{thecorr}{#1}
\setcounter{page}{#2}
\lhead[\fancyplain{}{\bfseries\sffamily{}\thepage}]%
{\fancyplain{}{\bfseries\sffamily\rightmark}}
\rhead[\fancyplain{}{\bfseries\sffamily\leftmark}]%
{\fancyplain{}{\bfseries\sffamily{}\thepage}}
}

%%

\usepackage{fancyheadings}
\pagestyle{fancyplain}
\markboth{\href{http://www.elis.UGent.be/aadebug2003/}{AADEBUG2003}}{\href{http://www.elis.UGent.be/aadebug2003/}{AADEBUG2003}}
\lhead[\fancyplain{}{\bfseries\sffamily{}XXX\thepage}]%
{\fancyplain{}{\bfseries\sffamily\rightmark}}
\rhead[\fancyplain{}{\bfseries\sffamily\leftmark}]%
{\fancyplain{}{\bfseries\sffamily{}XXX\thepage}}
\cfoot{\small\sffamily{Fifth Int. Workshop on Automated and Algorithmic Debugging}}
\def\runningheads#1#2{\markboth{\uppercase{#1}}{\uppercase{#2}}}

%%
\renewcommand{\footnoterule}{\noindent\rule{5pc}{0.25pt}\vspace*{6pt}}
\long\def\@makefntext#1{\parindent 1em%
\noindent{$\m@th^{\@thefnmark}$}#1}

\def\comma{$^{,}$}

\newcounter{affilcounter}
\def\addressnum#1{\setcounter{affilcounter}{#1}${}^{\fnsymbol{affilcounter}}$}

\def\extranum#1{\footnotemark[#1]}
\def\extra#1#2{\footnotetext[#1]{#2}\stepcounter{footnote}}

%%


\def\title#1{
\begingroup
\vspace*{5pt}%
\parbox{21pc}{\raggedright\huge{\bfseries\sffamily #1}}\\%
%\renewcommand{\thefootnote}{\fnsymbol{footnote}}
\renewcommand{\thefootnote}{}
\if@corrproc
\footnotetext{In M. Ronsse, K. De Bosschere (eds), proceedings of the Fifth International Workshop on Automated Debugging (AADEBUG 2003), September 2003, Ghent. COmputer Research Repository (http://www.acm.org/corr/), cs.SE/yymmnnn; whole proceedings: cs.SE/0\arabic{thecorr}.}
\fi
\vspace*{16pt}
\endgroup}

\def\author#1{\parbox{21pc}{\raggedright\large{#1}}\\[15pt]}
\def\address#1#2{\parbox{32pc}{\raggedright\small\textit{\setcounter{affilcounter}{#1}${}^{\fnsymbol{affilcounter}}$#2}}}


\def\abstract{
\vspace*{10pt}\noindent\small\textbf{%
\rule{\textwidth}{0.5pt}
\\[10pt]
ABSTRACT}\\[6pt]%
\small\begin{bfseries}\noindent\ignorespaces}%

\def\endabstract{\end{bfseries}\endlist\normalsize\par\noindent}

\def\keywords#1{\vspace{-3pt}\noindent{\small\textsc{keywords:}%
\hspace*{1em}#1}\vskip 0.1pt \normalsize\par\noindent}



\renewcommand{\sectionmark}[1]{}
\renewcommand{\subsectionmark}[1]{}
\renewcommand{\@mkboth}[2]{}

\AtEndDocument{
\clearpage
\cleardoublepage
}

\AtEndDocument{
\typeout{}%
\typeout{}%
\typeout{}%
\typeout{}%
\typeout{}%
\typeout{Before submitting the final camera ready copy, remember to:}%
\typeout{}%
\typeout{ 1. Make sure that your paper ends on an even numbered page.}%
\typeout{}%
\typeout{ 2. Ensure that your PDF file uses only Type 1 fonts.}%
\typeout{}%
\typeout{}%
\typeout{}%
\typeout{}%
\typeout{}%
}

\bibliographystyle{alpha}
